هشدار کدنویس لایتنینگ: شبکه لایتنینگ آسیب پذیر است

هشدار کدنویس لایتنینگ: شبکه لایتنینگ آسیب پذیر است
1398/06/10
| 579

راستی راسل (Rusty Russel)، برنامه نویس و کدنویس استرالیایی شبکه ی لایتنینگ بیت کوین،به کاربران هشدار داد که مشکلات امنیتی زیادی در نسخه های مختلف پروژه ی لایتنینگ وجود دارد که می توانند باعث از دست رفتن بودجه شوند.

 

بروزرسانی فوری توصیه می شود


در تاریخ 30 اوت ، راسل توئیتی را منتشر کرد که در آن از اپراتورهای گره (node) لایتنینگ خواست تا هرچه سریع تر نرم افزار خود را به روز کنند. طبق این پیام، هشدار او شامل تمام نسخه های c-lightning قبل از 0.7.1، LND قدیمی تر از 0.7 و Eclair تا نسخه 0.3 می شود.

لازم بذکر است که شرکت توسعه دهنده ی بلاکچین بلاک استریم (Blockstream)در اوایل این ماه از انتشار نسخه ی 0.7.2 برنامه ی  c-lightningمقیاس پذیری بیت کوین، خبر داد.

راسل با انتشار یک پیام با امنیت کامل  (PGP-signed)در دامنه ی بنباد لینوکس،صریحاً به کاربران درباره ی مسائل امنیتی هشدار می دهد و قول می دهد که در آینده جزئیات بیشتری منتشر خواهد شد:

جزئیات کامل تا 4 هفته ی دیگر، یعنی تا 27 سپتامبر 2019، منتشر خواهد شد.لطفا تا قبل از آن به طور کامل ارتقاء دهید.


شبکه ی لایتنینگ، یک لایه دوم خارج از زنجیره است که به عنوان راه حل مقیاس پذیری بیتکوین برای دستیابی به پرداخت های سریع و تقریبا مجانی بیت کوین، نام برد می شود.سامسون ماو (Samson Mow)، مدیر ارشد استراتژی شرکت بلاک استریم، اخیرا گفت که بیت کوین برای پرداخت های دیجیتالی مناسب نیست اما شبکه لایتنینگ می تواند این مشکل را حل کند.